<?xml version="1.0" encoding="UTF-8"?>
<refentry xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:svg="http://www.w3.org/2000/svg" xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns:db="http://docbook.org/ns/docbook" version="5.0-subset Scilab" xml:lang="fr" xml:id="geom3d">
  <info>
    <pubdate>$LastChangedDate$</pubdate>
  </info>
  <refnamediv>
    <refname>geom3d</refname>
    <refpurpose>projection 3D vers 2D après une instruction
  de dessin 3D</refpurpose>
  </refnamediv>
  <refsynopsisdiv>
    <title>Séquence d'appel</title>
    <synopsis>[x,y]=geom3d(x1,y1,z1)</synopsis>
  </refsynopsisdiv>
  <refsection>
    <title>Paramètres</title>
    <variablelist>
      <varlistentry>
        <term>x1,y1,z1</term>
        <listitem>
          <para>vecteur réels de même taille (points 3D).</para>
        </listitem>
      </varlistentry>
      <varlistentry>
        <term>x,y</term>
        <listitem>
          <para>vecteurs réels de même taille que <literal>x1</literal>,
          <literal>y1</literal> et <literal>z1</literal>.</para>
        </listitem>
      </varlistentry>
    </variablelist>
  </refsection>
  <refsection>
    <title>Description</title>
    <para>Après l'utilisation d'une instruction de dessin 3D du type
    <literal>plot3d</literal>, <literal>plot3d1</literal> ou <literal>param3d</literal>,
    <literal>geom3d</literal> permet de faire la correspondance entre un point de
    l'espace 3D <literal>(x1(i),y1(i),z1(i))</literal> et le point correspondant
    <literal>(x(i),y(i))</literal> dans le plan projeté 2D. On peut ainsi utiliser
    les primitives graphiques avec <literal>(x,y)</literal> pour superposer des
    dessins.</para>
  </refsection>
  <refsection>
    <title>Exemples</title>
    <programlisting role="example"><![CDATA[ 
deff("[z]=surface(x,y)","z=sin(x)*cos(y)")
t=%pi*(-10:10)/10;
// 3D plot of the surface
fplot3d(t,t,surface,35,45,"X@Y@Z")
// now (t,t,sin(t).*cos(t)) is a curve on the surface
// which can be drawn using geom3d and xpoly
[x,y]=geom3d(%pi/2,0,surface(%pi/2,0))
 ]]></programlisting>
  </refsection>
  <refsection>
    <title>Auteurs</title>
    <para>J.Ph.C.</para>
  </refsection>
</refentry>
